Subject: [arch-d] possible new IAB programme on Internet resilience

From: Stephen Farrell <[email-masked]>
Date: Fri, 20 Dec 2019 13:32:57 +0000

Hiya,

The IAB are considering starting up a programme on Internet
resilience as described at [1]. We'd love to get feedback
on that idea, the text at [1] and to find out if people
would like to participate and what topics you might suggest
be considered (or even better, what you'd actually do work
on yourself:-).

There's no specific deadline for this, but the IAB will
consider this further in the new year, so if you could
take a few minutes to share your thoughts on this before
or over the holidays that'd be great.

Thanks,
S.

[1] https://github.com/intarchboard/resilience/

---

From: "Marc Blanchet" <[email-masked]>
Date: Fri, 20 Dec 2019 09:06:34 -0500

> be considered (or even better, what you'd actually do work

Hello, good idea. been discussed for years by many. good to see the IAB 
take the lead.
good proto charter. I would complement that, while diversity is key, it 
is not the only facet that needs to be looked at for resilience. I could 
think of others, such as decreasing DDOS capabilities by: « don’t 
advertise/forward what’s wrong »: for example: BGP lack of basic 
filtering, BCP38, …  Maybe this is out of the scope you had in mind.

happy to contribute. can’t tell right now which topic, could be many.

Marc.

> _______________________________________________
> Architecture-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/architecture-discuss

---

From: Stephen Farrell <[email-masked]>
Date: Fri, 20 Dec 2019 14:19:41 +0000

Hi Marc,

Thanks for the quick feedback.

On 20/12/2019 14:06, Marc Blanchet wrote:
>> resilience as described at [1]. We'd love to get feedback on that
>> idea, the text at [1] and to find out if people would like to
>> participate and what topics you might suggest be considered (or
>> even better, what you'd actually do work on yourself:-).
> 
> Hello, good idea. been discussed for years by many. good to see the
> IAB take the lead. good proto charter. I would complement that, while
> diversity is key, it is not the only facet that needs to be looked at
> for resilience. I could think of others, such as decreasing DDOS
> capabilities by: Â«Â donâ€™t advertise/forward whatâ€™s wrongÂ Â»:
> for example: BGP lack of basic filtering, BCP38, â€¦  Maybe this is
> out of the scope you had in mind.

Not at all, and that's a good point. I guess an example
around DDoS could be good to add to the charter to make
that clearer. I created an issue [1] in github for that.

And btw - I should have said that comments/issues/PRs on
github are also welcome if that's how someone prefers.

Cheers,
S.

[1] https://github.com/intarchboard/resilience/issues/4

> 
> happy to contribute. canâ€™t tell right now which topic, could be
> many.
> 
> Marc.
> 
>> 
>> There's no specific deadline for this, but the IAB will consider
>> this further in the new year, so if you could take a few minutes to
>> share your thoughts on this before or over the holidays that'd be
>> great.
>> 
>> Thanks, S.
>> 
>> 
>> Architecture-discuss mailing list [email-masked]

---

From: Simon Leinen <[email-masked]>
Date: Fri, 20 Dec 2019 17:46:20 +0100

Marc Blanchet writes:
> good proto charter. I would complement that, while diversity is key,
> it is not the only facet that needs to be looked at for resilience. I
> could think of others, such as decreasing DDOS capabilities by:
> « don’t advertise/forward what’s wrong »: for example: BGP lack of
> basic filtering, BCP38, …  Maybe this is out of the scope you had in
> mind.

While it's generally a good idea to not advertise or forward what's
wrong, I think this is a general security consideration that I wouldn't
associate with resilience (maybe more with "resistance" to
attack/damage).

In fact, one could argue that in the presence of restrictive definitions
of "right", what you suggest will actually make the system less
resilient (though more secure, at least from the perspective of those
holding narrow definitions of "right").
-- 
Simon.

---

From: "Marc Blanchet" <[email-masked]>
Date: Fri, 20 Dec 2019 11:58:12 -0500

> associate with resilience (maybe more with "resistance" to

agree that is a not the exact scope as written. That is why I put 
« maybe this is out of scope you had in mind ».
but it is not far… as you say correctly, it is another perspective of 
the problem space.

> holding narrow definitions of "right").

It all depends on what is the scope and also how one would tackle the 
problem. It could also be something to at least include in the 
discussion.

Marc.

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Fri, 20 Dec 2019 18:10:26 +0100

On Fri, Dec 20, 2019 at 05:46:20PM +0100,
 Simon Leinen <[email-masked]> wrote 

> holding narrow definitions of "right").

Indeed, the current project of charter seems to be more about
robustness than about resilience.

(And, yes, security can decrease robustness, think of DNSSEC or PKIX
validation issues.)

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 21 Dec 2019 08:14:10 +1300

Good topic. Resilience is a broad church and I'm not sure
that "for example OPSAWG and DNSOP" doesn't imply a narrower
scope than you intend. For example... I would definitely add
ANIMA there, since one of the main goals of autonomic networking
is resilience to unexpected events. In fact that's why we often
speak of the need for an ANIMA ecosystem, because natural ecosystems
are intrinsically resilient.

Regards
   Brian

---

From: Stephen Farrell <[email-masked]>
Date: Sat, 21 Dec 2019 01:23:18 +0000

Hiya,

> robustness than about resilience.

Sorry - I'm not really following any of the above comments.
Can one of you try explain some more?

> (And, yes, security can decrease robustness, think of DNSSEC or PKIX

Sure. That I understand and agree with.

Thanks,
S.

---

From: Stephen Farrell <[email-masked]>
Date: Sat, 21 Dec 2019 01:25:15 +0000

Hiya,

On 20/12/2019 19:14, Brian E Carpenter wrote:
> Good topic. 

Great. Is this a topic where you'd be willing to do
work in this space in an IAB programme?

(To be clear: I'm not asking to try lure you into doing
work, but because this seems like a blindingly obvious
topic on which work ought be done that might also be a
topic where nobody is sufficiently motivated to go and
actually do the work;-)

> Resilience is a broad church and I'm not sure

Sure - OPSAWG and DNSOP are just examples. ANIMA may
well be another or even better one. The main point in
adding mention of those wasn't to validate their
relevance but to just say that this programme would
defer to any IETF WG where a relevant one exists. So
I don't think we need an exhaustive list of relevant
IETF WGs on whose lawn to not tread, but of course
better wording is welcome any time.

Cheers,
S.

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Mon, 23 Dec 2019 08:59:47 +0100

On Sat, Dec 21, 2019 at 01:23:18AM +0000,
 Stephen Farrell <[email-masked]> wrote 
 a message of 271 lines which said:

> Sorry - I'm not really following any of the above comments.  Can one
> of you try explain some more?

Typically, robustness is the ability to withstand shocks without
cracking, and resilience is the ability, once you have cracked, to
restart afterwards. I suggest that the word "robustness" is a better
fit for what we are trying to achieve (an Internet that will keep
going, may be in degraded mode, when problems/attacks
occur). "Resilience" would be adapted for a (very hypothetical) case
where everything was down and we try to resume activity. (Thought
experiment: all the DNS root name servers were destroyed and we must
agree on a new set, without beging able to communicate together,
except by IP addresses.)

---

From: Yaakov Stein <[email-masked]>
Date: Mon, 23 Dec 2019 09:12:09 +0000

Resilience is widely used in transport networks as a synonym for Automatic Protection Switching,
which typically replaces a failed path in less than 50 milliseconds.
So, while I agree that resilience is the ability to respond to an actual failure, it is not hypothetical or necessarily of long time duration.

Robustness is used in system design and computer science to mean the ability to avoid failure despite disturbances or unexpected inputs.
Failure is defined (e.g., G.805) as the inability to provide the service or to meet the user's expectations.
Note that unlike resilience, robustness is always with respect to some disturbance type, and that a system can be robust to X but not to Y.
For example, a network designed to be robust with respect to link failures will contain a lot of redundant links,
but then it will not be robust with respect to increasing traffic levels (and vice versa).

Y(J)S

-----Original Message-----
From: Architecture-discuss [mailto:[email-masked]] On Behalf Of Stephane Bortzmeyer
Sent: 23/12/2019 10:00
To: Stephen Farrell <[email-masked]>
Cc: [email-masked]
Subject: Re: [arch-d] possible new IAB programme on Internet resilience

> of you try explain some more?

Typically, robustness is the ability to withstand shocks without cracking, and resilience is the ability, once you have cracked, to restart afterwards. I suggest that the word "robustness" is a better fit for what we are trying to achieve (an Internet that will keep going, may be in degraded mode, when problems/attacks occur). "Resilience" would be adapted for a (very hypothetical) case where everything was down and we try to resume activity. (Thought
experiment: all the DNS root name servers were destroyed and we must agree on a new set, without beging able to communicate together, except by IP addresses.)

_______________________________________________
Architecture-discuss mailing list
[email-masked]
https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Farchitecture-discuss&amp;data=01%7C01%7Cyaakov_s%40rad.com%7Cf65119756ea34c3adefc08d7877e387a%7Cf9047108cc2c4e4897a343fad1b3bf9d%7C1&amp;sdata=%2F60sYdn%2Ba5FZ%2FCO5tyBP1quAAlLF2t7tanBy4Al41sU%3D&amp;reserved=0

---

From: Toerless Eckert <[email-masked]>
Date: Mon, 23 Dec 2019 10:25:19 +0100

Thanks for the initiative, Stephen

1. I strongly support the mission.

  IMHO, the Internet at large is still a pretty unreliable
  infrastructure mostly for non-(time)-critical consumption
  and commerce, and IMHO this needs to change. I am certainly
  happy to contibute to the program (see below for example
  points of my background).

2. Network and services resilience

  A Brian already alluded, there is more to Internet resilience
  than at e.g.: the naming level.

  a) Network resilience
  
  The most basic form of resilience i have helped to design and
  deploy use dual-path transmission for critical traffic
  (finance, video, military, industrial). That still is a maze
  of not well standardized or even documented approaches and
  protocols, and we are (IMHO) far away from realizing a vision,
  where for example a host stack itself could drive such level of
  resilience automatically (.e.g: MP-TCP not to increase
  throughput but resilience). But certainly, that overal issue
  of network-service resilience would be IMHO important to include
  into the program. Having bits in DetNet, bits in PANRG,
  and more bits in TSV and other WGs is not an architecture.

  b) Service resilience
  
  As Brian mentioned, ANIMA not only has ANI as a resilient
  operational plane, but it would also lend itself as a good
  framework to build further resilient networks and solutions.

3. Scope

  An interesting experience was in video networks where operators
  had to decide between sub-second fast convergence and sub 50 msec
  RSVP-TE tunnel protection. In the end, the per-interruption
  user experience impact difference was negligible and many
  operators simply wanted to reduce the total number of user visible
  interruptions to less than 1 interruption every 4 hour and ended up
  picking fast-convegence because it eliminated so many
  more bad-code and bad-operator action induced errors from
  the more complex to handle RSVP-TE solution.

  I bring this up just as an example to figure out what should
  be in scope of the program: User stories, (experience) metric
  required and design considerations that not only include
  pure "protocol" aspects (50 msec vs. sub-second), but also
  metrics such as code and operations complexity. Yes, some of
  these aspects are hard to specify let alone quantify, but
  that's why it should be an architecture program and not just
  a protocol specification program.

4. Politics and Openness

  IMHO, Resilience and related "metrics" of reliability
  are at the core of at least the public explanations of
  several political actions today such as US congress bills
  (e.g.: "Defending America's 5G Future") and US govt action
  (such as the Huawei EAR rulings).

  In face of these political challenges for open global
  collaboration, i would highly recommend to not charter a
  program like this as an "by-invitation-only" IAB program (as
  described in the current draft charter), but as an
  "everyone-is-welcome-to-contribute" program, more like an
  IETF working group. Otherwise, the program would be seen
  as yet another politically divisive step by those not invited
  to contribute.

Cheers
    Toerless

> [1] https://github.com/intarchboard/resilience/

pub   RSA 4096/7B172BEA 2017-12-22 Stephen Farrell (2017) <[email-masked]>
> sub   RSA 4096/36CB8BB6 2017-12-22
> 

-- 
---
[email-masked]

---

From: Vittorio Bertola <[email-masked]>
Date: Mon, 23 Dec 2019 15:45:17 +0100 (CET)

> Il 20/12/2019 14:32 Stephen Farrell <[email-masked]> ha scritto:
> 
>  
> Hiya,
> 

A question: given the insistence in the charter on lack of diversity as a key threat to resilience, do I take it well that this programme is meant to subsume the past discussions on centralization and consolidation of the Internet?

And a comment: this might indeed turn out as a set of parallel work threads at different layers of the stack, but since you explicitly mention DNS(OP) as an area of interest, and since another discussion just reminded me of it, I note that ICANN already has a long-standing committee (SSAC) discussing issues that threaten the stability of the DNS; perhaps other organizations also have other relevant groups. You could give some thought at how to recognize and involve them when appropriate.

-- 
 
Vittorio Bertola | Head of Policy & Innovation, Open-Xchange
[email-masked] 
Office @ Via Treviso 12, 10144 Torino, Italy

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 24 Dec 2019 08:36:13 +1300

> but then it will not be robust with respect to increasing traffic levels (and vice versa).

Yes. I don't think there is a sharp line between resilience and robustness. Also, despite the IETF's traditional narrow scope of focus on the wire protocol, you can't build a robust or resilient network without considering more than just the wire protocol. We might have to step outside our comfort zone here. For example, there is no such thing as a fatal error in a resilient system. All exceptions must be caught. That's a stronger statement than saying that a protocol's state machine must contain no undefined arcs.

   Brian

---

From: Stephen Farrell <[email-masked]>
Date: Mon, 23 Dec 2019 19:51:23 +0000

Hiya,

Just on this bit...

On 23/12/2019 14:45, Vittorio Bertola wrote:
> A question: given the insistence 

Insistence is a very odd term to use.

> in the charter on lack of diversity
> as a key threat to resilience, do I take it well that this programme
> is meant to subsume the past discussions on centralization and
> consolidation of the Internet?

No. Are you possibly reading between the lines and seeing
the shadow of some sneaky scheme that's just not there? :-)

Centralisation etc. may be a part of the discussion of
resilience (and robustness - I agree with Brian that
those are intertwined, at least in how I think of them),
but this proposal doesn't "subsume" anything, at least
not in the negative sense which is how I interpret your
question. IOW, what's proposed is a new discussion venue
(new for this IAB) - an addition to whatever else is being
discussed, (in or around the IETF) and afaik there is no
intention to pre-empt, subsume, or prevent any discussion
of anything else anywhere.

Hope that helps,
S.

---

From: Stephen Farrell <[email-masked]>
Date: Mon, 23 Dec 2019 20:05:46 +0000

Hiya,

Just on his bit for now, more on the more technical stuff
after the holidays (from me at least:-)

On 23/12/2019 09:25, Toerless Eckert wrote:
> 4. Politics and Openness
> 
> IMHO, Resilience and related "metrics" of reliability are at the
> core of at least the public explanations of several political
> actions today such as US congress bills (e.g.: "Defending America's
> 5G Future") and US govt action (such as the Huawei EAR rulings).
> 
> In face of these political challenges for open global collaboration, 
> i would highly recommend to not charter a program like this as an 
> "by-invitation-only" IAB program (as described in the current draft 
> charter), but as an "everyone-is-welcome-to-contribute" program,
> more like an IETF working group. Otherwise, the program would be seen
> as yet another politically divisive step by those not invited to 
> contribute.

Fair point. AIUI, the IAB's intent is to be that open, and
that so long as everything happens on an open list and in
open meetings, we're ok wrt the current weird EAR stuff.
(But IANAL of course.)

I am quite sure the IAB do not want to set this up in a way
that might prevent anyone from participating.

That could still allow the IAB to appoint some people to
be programme members in some sense though - I think the
idea was that that might be useful as a way to help
enable some people to stay involved over the longer term,
while not being an exclusive membership. But yeah, if that were
perceived as being divisive or forming an exclusive club, I reckon
that'd be counter-productive.

Cheers,
S.

---

From: Vittorio Bertola <[email-masked]>
Date: Tue, 24 Dec 2019 10:11:15 +0100 (CET)

> Il 23/12/2019 20:51 Stephen Farrell <[email-masked]> ha scritto:
> 
>  
> Hiya,
> 
> Just on this bit...
> 

Apologies, this is not my native language. 

> the shadow of some sneaky scheme that's just not there? :-)

No, I actually thought it would be a good thing to generalise the discussions on centralization into a structured programme on the threats to the ability of the Internet to survive in the long term. Up to now, we seem to have an unstructured discussion every now and then, when something pops up and then dies, with no clear long term plan on how to address the issue. 

--

---

From: "Ciavaglia, Laurent (Nokia - FR/Paris-Saclay)" <[email-masked]>
Date: Tue, 24 Dec 2019 10:14:49 +0000

Hi Stephen, All,

I also support the initiative and think it's an interesting topic to investigate.

Extracts of comments made by Juergen Schoenwaelder some time ago in review of the NMRG work on intent-based-networking, which I think are relevant to the discussion.

From Juergen Schoenwaelder: 
" I believe we need to think about systems that have to react to stress and disturbance. There are different possible reactions:

  - robustness: the system is robust against certain stress, i.e., it
    won't react to the stress it gets exposed to

  - resilience: the system recovers from stress it got exposed to (if
    it recovers very fast, it may appear to be robust)

  - antifragile: the system "learns" from stress and increases its
    resilience and robustness

How do modern systems that provide services 24/7 work? Well, you have people and systems constantly damaging them and they have to "learn" how to deal with the constant influx of damage. (And learn maybe to a large extend human assisted.) The main point here is to recognize that the primary service setup is usually not the issue, the handling of stress (failures and attacks) is what decides about long-term efficiency and stability of a service (and where likely a big human operational cost item is located). "

I think references from Organic Computing and Autonomic Computing/Networking literature could be valuable e.g. for self-organizing, self-healing systems.

Would be happy to contribute and provide inputs.

Best regards, Laurent. 

> From: Architecture-discuss <[email-masked]> On
> Behalf Of Stephen Farrell
> Sent: Friday, December 20, 2019 14:33
> To: [email-masked]
> Subject: [arch-d] possible new IAB programme on Internet resilience
> 
> 
> Hiya,
>

---

From: Andrew Campling <[email-masked]>
Date: Tue, 24 Dec 2019 11:24:23 +0000

> On 24 December 2019 09:11, Vittorio Bertola wrote:
>> No. Are you possibly reading between the lines and seeing the shadow 
>> of some sneaky scheme that's just not there? :-)
>
> No, I actually thought it would be a good thing to generalise the discussions on centralization 
> into a structured programme on the threats to the ability of the Internet to survive in the long 
> term. Up to now, we seem to have an unstructured discussion every now and then, when 
> something pops up and then dies, with no clear long term plan on how to address the issue. 

Noting the above exchange, I wonder whether a wider discussion needs to take place about resilience and related topics like centralisation and consolidation.  To do this properly it really needs the involvement of a much more diverse set of stakeholders and really needs to address both policy and technical considerations as just doing the latter in isolation will not really get to the core issues.  I think that a debate led by a body like the IGF but with input when appropriate on technical considerations by the IAB/IETF would be a much more useful exercise than something focused purely within the IAB/IETF.  

No doubt others will have their own views on this.

Andrew

---

From: "Brian Trammell (IETF)" <[email-masked]>
Date: Tue, 24 Dec 2019 15:17:18 +0100

fwiw I personally see “resilience” more or less as scoped in this program description as the projection of the wider centralization/consolidation issue into the space that the IAB is equipped to say something useful about. Of course, I helped write the description after grappling unsuccessfully with consolidation with my “architecture” hat on for quite some time, so I’m definitely biased to think that way.

Agreed that discussion and action on consolidation needs to cast a wider net, and is therefore perhaps not something an IAB program should take on. Consolidation is an economic externality in a great number of industries in the early 21st century, and far bigger than the Internet.

Cheers, and $preferred_holiday_greeting,

Brian

Sent from my iPhone

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Fri, 27 Dec 2019 11:29:43 +0100

On Tue, Dec 24, 2019 at 11:24:23AM +0000,
 Andrew Campling <[email-masked]> wrote 
 a message of 38 lines which said:

> I wonder whether a wider discussion needs to take place about
> resilience and related topics like centralisation and consolidation.
> To do this properly it really needs the involvement of a much more
> diverse set of stakeholders and really needs to address both policy
> and technical considerations as just doing the latter in isolation
> will not really get to the core issues.  I think that a debate led
> by a body like the IGF but with input when appropriate on technical
> considerations by the IAB/IETF would be a much more useful exercise
> than something focused purely within the IAB/IETF.

I think I disagree. Theoretically, you're right, resilience and
robustness do not depend only on technical issues. (For instance, DNS
filtering for politically-motivated censorship certainly makes the DNS
more brittle and therefore decreases the Internet's robustness.)

But, in practice, I'm very pessimistic about the possibility of a
serious work on these subjects in another place. At least in the
IAB/IETF, we can do concrete and productive work, even if limited in
scope. Otherwise, I don't see a forum where efficient things could be
done. Certainly not ICANN, and even less so IGF, which is a very good
example of useless chat.

[This is obviously related to the discussion about 
draft-iab-for-the-users.]

---

From: Vittorio Bertola <[email-masked]>
Date: Fri, 27 Dec 2019 11:53:03 +0100 (CET)

> Il 27/12/2019 11:29 Stephane Bortzmeyer <[email-masked]> ha scritto:
> 
>  

This is a complex and general issue, but an important one, so let me discuss it a bit.

In practical terms, you are right: the IETF can effectively discuss an issue, come to a decision on it and release a document, with variable normative degree. ICANN can do the same, but much less "effectively" - it takes years for it to come to a decision, and not rarely it fails to achieve consensus. The IGF is even worse - it can only talk, but it cannot take decisions or document them (though they are now attempting to come up with "messages", as a collection of statements from session organizers, which IMHO is a terrible idea, because they do not reflect any kind of consensus process and so will be immediately challenged).

However, the fact that a proper, effective, global policy-making body for the Internet does not exist will not make the need for it disappear. Simply, what is happening is that, in the absence of global consensus decisions on policy issues, the discussion and the action moves to the only level which is equipped with somewhat effective policy making and enforcement tools: national Parliaments and governments.

This is a consequence of the Internet community failing to establish an effective global policy-making mechanism in parallel to the very effective global technical standardization mechanism, and on top of it, taking decisions and embracing policies that would never reach consensus in the broader circle of non-technical Internet stakeholders.

Several people here seem to think that they can use their position of technology makers to force unwelcome policies onto about 200 countries in the world, but I doubt that in the long term this attempt will bode well for the Internet. I think we will just see more national/regional Internets with controlled interconnections among them, and/or a virtual "jurisdiction layer" applied over the network through global citizenship-based rules (e.g. GDPR).

--

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Fri, 27 Dec 2019 14:44:19 +0100

On Fri, Dec 27, 2019 at 11:53:03AM +0100,
 Vittorio Bertola <[email-masked]> wrote 
 a message of 44 lines which said:

> However, the fact that a proper, effective, global policy-making
> body for the Internet does not exist will not make the need for it
> disappear.

Yes, it would be cool if it existed. But it does not, so we have to do
without it (instead of wasting time arguing that such a body would help).

> This is a consequence of the Internet community failing to establish
> an effective global policy-making mechanism in parallel to the very
> effective global technical standardization mechanism,

One of the reasons for this situation is that there is no such thing
as an "Internet community". People using the Internet, and even the
subset of people contributing directly to the IETF, are not a
political party, a religion, a cult or a tribe. They are very diverse,
and, for instance, have very different political opinions (some work
on better censorship tools and some on better anti-censorship
tools...)

> and on top of it, taking decisions and embracing policies that would
> never reach consensus in the broader circle of non-technical
> Internet stakeholders.

Nothing can "reach consensus in the broader circle of non-technical
Internet stakeholders", they are too diverse.

---

From: Vittorio Bertola <[email-masked]>
Date: Fri, 27 Dec 2019 14:57:18 +0100 (CET)

> Il 27/12/2019 14:44 Stephane Bortzmeyer <[email-masked]> ha scritto:
> 

Can you please stop saying that some people here are working to increase political censorship? With the same but symmetric approach, one could say that people that promote DoH towards foreign resolvers want to facilitate online crime and people who oppose this deployment want to fight it. Neither of the two is generally true, and this is not a helpful way to frame the discussion.

--

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 28 Dec 2019 08:28:29 +1300

On 27-Dec-19 23:29, Stephane Bortzmeyer wrote:
> scope. 

I'd go a bit further. IMHO, the IETF (+IAB) does best by explicitly
excluding political, economic or sociological issues from our
reasoning *even if they seem relevant*. RFC 1984, 2804 and 7258 are
good examples of documents that stick to technical arguments in the
face of a great temptation to "go political". For the resilience
(or robustness) discussion, we should do the same.

For example, fragmentation of the DNS name space is damage, regardless
of the cause. Making the name space intrinsically self-healing
would therefore be a good thing.

> Otherwise, I don't see a forum where efficient things could be

I agree. I think it is absolutely correct to state that the technical
end goal is better services for users, rather than convenience for
operators, but absolutely unnnecessary to rhapsodise about the the
social good. (This has nothing to do with my opinions about the social
good. It's about how the IETF, as a trans-national group, can produce
effective documents.)

    Brian

---

From: S Moonesamy <[email-masked]>
Date: Fri, 27 Dec 2019 13:26:41 -0800

Hi Andrew,
At 03:24 AM 24-12-2019, Andrew Campling wrote:
>Noting the above exchange, I wonder whether a wider discussion needs 
>to take place about resilience and related topics like 
>centralisation and consolidation.  To do this properly it really 
>needs the involvement of a much more diverse set of stakeholders and 
>really needs to address both policy and technical considerations as 
>just doing the latter in isolation will not really get to the core 
>issues.  I think that a debate led by a body like the IGF but with 
>input when appropriate on technical considerations by the IAB/IETF 
>would be a much more useful exercise than something focused purely 
>within the IAB/IETF.

Does the IAB/IETF have a good record of addressing policy considerations?

It would be good to consider the objective(s) before getting into who 
needs to be involved.  Would writing an IAB statement help to attain 
the objective?

Regards,
S. Moonesamy

---

From: Andrew Campling <[email-masked]>
Date: Sat, 28 Dec 2019 18:32:54 +0000

On Fri, Dec 27, 2019 at 10:53,  Vittorio Bertola <[email-masked]<mailto:[email-masked]>> wrote:

> In practical terms, you are right: the IETF can effectively discuss an issue, come to a decision on it
> and release a document, with variable normative degree. ICANN can do the same, but much less
> "effectively" - it takes years for it to come to a decision, and not rarely it fails to achieve consensus.
> The IGF is even worse - it can only talk, but it cannot take decisions or document them (though they
> are now attempting to come up with "messages", as a collection of statements from session
> organizers, which IMHO is a terrible idea, because they do not reflect any kind of consensus process
> and so will be immediately challenged).

> However, the fact that a proper, effective, global policy-making body for the Internet does not exist
> will not make the need for it disappear. Simply, what is happening is that, in the absence of global
> consensus decisions on policy issues, the discussion and the action moves to the only level which is
> equipped with somewhat effective policy making and enforcement tools: national Parliaments and
> governments.

The lack of an effective, global policy making body for the internet is a problem that needs to be addressed as it is a significant gap.  In its absence, bodies like the IETF, ICANN and others make or assume policy decisions in a sub-optimal way when in reality they would all benefit from a properly constituted and qualified body fulfilling this function.  Therefore, either action needs to be taken so that the IGF can fulfil this role effectively or a new body needs to be constituted to do so.

> This is a consequence of the Internet community failing to establish an effective global policy-making
> mechanism in parallel to the very effective global technical standardization mechanism, and on top of
> it, taking decisions and embracing policies that would never reach consensus in the broader circle of
> non-technical Internet stakeholders.

> Several people here seem to think that they can use their position of technology makers to force
> unwelcome policies onto about 200 countries in the world, but I doubt that in the long term this
> attempt will bode well for the Internet. I think we will just see more national/regional Internets with
> controlled interconnections among them, and/or a virtual "jurisdiction layer" applied over the
> network through global citizenship-based rules (e.g. GDPR).

I agree with Vittorio’s points above, believe that the IETF and other bodies ignore this at their peril.

On 27 December 2019 13:44,  Stephane Bortzmeyer <[email-masked]<mailto:[email-masked]>> wrote:

> One of the reasons for this situation is that there is no such thing as an "Internet community". People
> using the Internet, and even the subset of people contributing directly to the IETF, are not a political
> party, a religion, a cult or a tribe. They are very diverse, and, for instance, have very different political
> opinions (some work on better censorship tools and some on better anti-censorship tools...)

The IETF is many things, it is not however especially diverse by most accepted definitions of the term.  It is notable, for example, that items generally

> Nothing can "reach consensus in the broader circle of non-technical Internet stakeholders", they are too diverse.

This is an unusual argument against diversity.  I note that there is a large body of evidence that shows that organisations of all types perform better when they embrace diversity, and conversely that organisations that do not are doomed to underperformance.  It may indeed be harder (but by no means impossible) to reach consensus but that is true, in part, because erroneous choices are rejected and better decisions are made as a consequence.

On 27-Dec-19 19:28, Brian E Carpenter <[email-masked]<mailto:[email-masked]>> wrote:

> I'd go a bit further. IMHO, the IETF (+IAB) does best by explicitly excluding political, economic
> or sociological issues from our reasoning *even if they seem relevant*. RFC 1984, 2804 and
> 7258 are good examples of documents that stick to technical arguments in the face of a great
> temptation to "go political". For the resilience (or robustness) discussion, we should do the
> same.

I note that it is a commonly stated position that the IETF does not deal with "policy" issues.  However I suggest that in many instances this is in fact a fallacy and that, by addressing certain "technical" issues in a particular manner, it is indeed taking an implied stance on a policy issue, or at least assuming that such a stance may have been taken by others.  In other words, the absence of an explicit policy position does not, in reality, mean that such a position has not been taken by the IETF.

This lack of a clearly articulated (and tested) policy position on which to build a technical solution is a problem.  In my view it would be hugely advantageous for another, better qualified, body to address these policy issues properly and then delegate any subsequent technical implementation requirements to the IETF or other bodies as appropriate.

---

From: Randy Bush <[email-masked]>
Date: Sat, 28 Dec 2019 10:48:47 -0800

> Yes, it would be cool if it existed.

not clear.  a little chaos and need for open communication to coordinate
may be saving us from even worse centralisation and authoritarianism.

randy

---

From: Andrew Campling <[email-masked]>
Date: Sat, 28 Dec 2019 18:57:11 +0000

> It would be good to consider the objective(s) before getting into who needs 
> to be involved.  Would writing an IAB statement help to attain the objective?

To clarify, I am not advocating that the IAB or IETF addresses policy considerations, quite the reverse: I believe that policy considerations would be better addressed elsewhere and that the technical requirements arising from these are subsequently addressed by the IETF and other bodies as appropriate.  The present situation, where the IETF maintains that it does not address policy considerations but, lacking guidance from a properly constituted and qualified body, nevertheless makes technical decisions that are based on inferred policy positions is unsatisfactory.

---

From: [email-masked]
Date: Sat, 28 Dec 2019 11:06:08 -0800

> To clarify, I am not advocating that the IAB or IETF addresses policy considerations, quite the reverse: I believe that policy considerations would be better addressed elsewhere and that the techni…

Policy is just another means for some small group of people to tell other people what to do. We reject that at its very basis. We do not want policy. We want cooperation.

The Internet works because we propose things and reach rough consensus on them. Those who feel that it’s a Good Idea try it out. It gets tweaked. Others feel that it’s a Good Idea and join in. Or not. Only when enough people participate does it become effective.

We do not need people to try to set policy. They are not welcome. If a group is constituted to form policy, we will not follow it.

We do need Good Ideas. Folks who have them are welcome to propose them.

Tony

---

From: Andrew Campling <[email-masked]>
Date: Sat, 28 Dec 2019 19:31:34 +0000

On Dec 28, 2019, at 19:06, Tony Li <[email-masked]> wrote:

> Policy is just another means for some small group of people to tell other people what
> to do. We reject that at its very basis. We do not want policy. We want cooperation.

> The Internet works because we propose things and reach rough consensus on them. Those
> who feel that it’s a Good Idea try it out. It gets tweaked. Others feel that it’s a Good Idea
> and join in. Or not. Only when enough people participate does it become effective.

> We do need Good Ideas. Folks who have them are welcome to propose them.

That is ironically a policy of sorts, one which may or may not be shared by others, and which may or may not be represent a rough consensus view of those participating in the IETF.  I note however that, for example, the number of people participating directly in the IGF is significantly larger than that participating in the IETF and that the former group is significantly more diverse in nature.  On that basis, you could, to rephrase your words, argue that technical decisions taken by the IETF are just another means for a small, un-diverse group of people to tell other people what to do.  You may find that those other groups are just as adamant in “rejecting that at its very basis”, and that they have an equally strong expectation of cooperation.

Whilst it may be uncomfortable for some participants, some actions taken by the IETF (and other groups like ICANN) do in fact have policy implications for others.  I believe that it is foolish to ignore this and pretend that the IETF can operate in a libertarian bubble, somehow insulated both from the results of its own actions and from the views of others.

Andrew

---

From: "Marc Blanchet" <[email-masked]>
Date: Sat, 28 Dec 2019 14:46:18 -0500

On 28 Dec 2019, at 14:31, Andrew Campling wrote:

>> We do not need people to try to set policy. They are not welcome. If 
>> a group is constituted
>> to form policy, we will not follow it.
>
> That is ironically a policy of sorts, one which may or may not be 
> shared by others, and which may or may not be represent a rough 
> consensus view of those participating in the IETF.  I note however 
> that, for example, the number of people participating directly in the 
> IGF is significantly larger than that participating in the IETF and 
> that the former group is significantly more diverse in nature.  On 
> that basis, you could, to rephrase your words, argue that technical 
> decisions taken by the IETF are just another means for a small, 
> un-diverse group of people to tell other people what to do.  You may 
> find that those other groups are just as adamant in “rejecting that 
> at its very basis”, and that they have an equally strong expectation 
> of cooperation.
>
> Whilst it may be uncomfortable for some participants, some actions 
> taken by the IETF (and other groups like ICANN) do in fact have policy 
> implications for others.  I believe that it is foolish to ignore this 
> and pretend that the IETF can operate in a libertarian bubble, somehow 
> insulated both from the results of its own actions and from the views 
> of others.

IMHO, we are diverging pretty off the initial proposed charter. Well I 
can understand your point of view, I think the policy side, as you 
describe, should be outside the scope of the charter.

Can we come back to technical content?

Marc.

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 29 Dec 2019 08:48:30 +1300

Andrew,

On 29-Dec-19 07:32, Andrew Campling wrote:
...
> The lack of an effective, global policy making body for the internet is a problem that needs to be addressed as it is a significant gap.

For the record, it's long been my opinion that the lack of an effective, global policy making body for the Internet is an excellent thing and one of the main reasons for the Internet's remarkable success**. Watching the WSIS process and the IGF over the years has only confirmed my opinion.

In any case, I think we're agreed that this is not an IETF/IAB topic.

** To be clear, in my opinion there are many issues of great public interest that apply to every form of pervasive trans-border telecommunications, but they are not specific to the Internet and need to be addressed in a much more generic context.

Regards,
    Brian Carpenter

---

From: Melinda Shore <[email-masked]>
Date: Sat, 28 Dec 2019 11:07:08 -0900

> may be saving us from even worse centralisation and authoritarianism.

I believe this is true.

Anyway, this may be a good time for people to reread RFC 3935.
The Internet Engineering Task Force is chartered to do engineering.
We don't do governance of any body other than ourselves (and
sometimes not even that).

Melinda

-- 
Melinda Shore
[email-masked]

Software longa, hardware brevis

---

From: "Patrik Fältström" <[email-masked]>
Date: Sat, 28 Dec 2019 22:07:20 +0100

> Whilst it may be uncomfortable for some participants, some actions taken by the IETF (and other groups like ICANN) do in fact have policy implications for others.  I believe that it is foolish to i…

You should be careful when comparing results of the ICANN process that ends up in contractual agreements, where ICANN the organisation is one of the signatories, with the result of IETF process, where the contracted parties do choose to reference the IETF products (the RFCs).

I am pretty sure participants in the IETF are aware of the trust IETF has, but on the other hand, participants also know that whatever is produced can also be ignored.

ICANN, ITU and many other processes are different. Very different.

   Patrik

---

From: Scott Brim <[email-masked]>
Date: Sat, 28 Dec 2019 18:44:59 -0500

> ICANN, ITU and many other processes are different. Very different.

First of all, yes -- and the ITU-T process attracts certain kinds of people
and certain kinds of goals, just as the IETF and ICANN do. This -- the
character of other organizations -- needs to be taken into account when
deciding whether the IETF can cede all policy decisions to others.

Second, historically the wiretap discussions were very significant in that
the IETF explicitly made a policy decision in the form of an engineering
decision. At least when I was active I believe the IETF considered policy
issues all the time, if only implicitly.

Scott

---

From: S Moonesamy <[email-masked]>
Date: Sat, 28 Dec 2019 17:19:29 -0800

Hi Andrew,
At 10:57 AM 28-12-2019, Andrew Campling wrote:
>To clarify, I am not advocating that the IAB or IETF addresses 
>policy considerations, quite the reverse: I believe that policy 
>considerations would be better addressed elsewhere and that the 
>technical requirements arising from these are subsequently addressed 
>by the IETF and other bodies as appropriate.  The present situation, 
>where the IETF maintains that it does not address policy 
>considerations but, lacking guidance from a properly constituted and 
>qualified body, nevertheless makes technical decisions that are 
>based on inferred policy positions is unsatisfactory.

Thank you for the clarification.

There are non-technical considerations for some IAB decisions.  There 
was, for example, a statement about to free flow of information and 
jurisdiction, and stakeholders.  One of the points in that statement 
is that, in some cases, policy or business expertise is 
necessary.  The free flow of information was a topic of discussion in 
the IGF.  It might be difficult to gain agreement on whether that 
topic is related to the proposed IAB programme.

Regards,
S. Moonesamy

---

From: "Patrik Fältström" <[email-masked]>
Date: Sun, 29 Dec 2019 08:15:42 +0100

On 29 Dec 2019, at 0:44, Scott Brim wrote:

> First of all, yes -- and the ITU-T process attracts certain kinds of people and certain kinds of goals, just as the IETF and ICANN do. This -- the character of other organizations -- needs to be taken into account when deciding whether the IETF can cede all policy decisions to others.
>
> Second, historically the wiretap discussions were very significant in that the IETF explicitly made a policy decision in the form of an engineering decision. At least when I was active I believe the IETF considered policy issues all the time, if only implicitly.

Correct Scott, but I was more thinking of the fact ITU-T results might bind the members (the member States) by treaties, which implies the members do not have any choice but implement the outcomes. Just like ICANN outcomes are binding for the contracted parties in many cases.

IETF do not have such arrangements. We implement if we like what IETF produce.

   Patrik

---

From: Yaakov Stein <[email-masked]>
Date: Sun, 29 Dec 2019 07:51:11 +0000

No, almost all ITU-T results are called "Recommendations" because they are precisely that.
They do not bind members unless the member adopts them into its own national legislation.

Y(J)S

---

From: "Patrik Fältström" <[email-masked]>
Date: Sun, 29 Dec 2019 08:59:56 +0100

> They do not bind members unless the member adopts them into its own national legislation.

Yakov, I did write "might", and you point out exactly what members of ITU have to fight around OR ELSE it ends up being binding. Which is easier or harder depending on what is written in the treaties (and why there is such a fight at WCIT).

   Patrik

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Sun, 29 Dec 2019 10:39:10 +0100

On Sat, Dec 28, 2019 at 06:32:54PM +0000,
 Andrew Campling <[email-masked]> wrote 
 a message of 229 lines which said:

> The lack of an effective, global policy making body for the internet
> is a problem that needs to be addressed as it is a significant gap.

This statement is questionable. As noted by Randy Bush and Brian
Carpenter, such a body would have an extraordinary power (in the past,
even the worst dictator had a power limited to the borders of the
country), and then we would have to think about how to limit and
control that power.

> other bodies ignore this at their peril.

I don't think that IETF ignore there are political consequences to our
choices (see RFC 8280). 

> The IETF is many things, it is not however especially diverse by
> most accepted definitions of the term.

I don't know if there is a generally accepted definition. Some people
see diversity as a matter of skin color, some as a matter of
political opinions, or social class. Seeing political discussions
inside IETF (for instance about DoH…), it seems there are many very
different opinions.

> I note that there is a large body of evidence that shows that
> organisations of all types perform better when they embrace
> diversity, and conversely that organisations that do not are doomed
> to underperformance.

As they say on Wikipedia, "references needed". Anyway, things like the
place of women are not a matter of efficiency but of justice. I don't
care if organisations with more women are "more efficient" (for some
organisations like the NSA, I wish there were less efficient…),
because discrimination on the basis of gender, ethnicity, sexual
orientation, etc, is wrong, period. It does not matter if it is
efficient or not.

> I welcome It may indeed be harder (but by no means impossible) to
> reach consensus

It all depends on the layer (as in the layer model). At a high-level,
we have a consensus, for instance in the universal declaration of
human rights. At a lower level, when it comes to more concrete rules,
I don't think we can have a consensus between a all humans on
earth.

> This lack of a clearly articulated (and tested) policy position on
> which to build a technical solution is a problem.

We have many RFC about our political choices, RFC 8280 provides a good
list.

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Sun, 29 Dec 2019 10:43:21 +0100

On Sat, Dec 28, 2019 at 07:31:34PM +0000,
 Andrew Campling <[email-masked]> wrote 
 a message of 167 lines which said:

> I note however that, for example, the number of people participating
> directly in the IGF is significantly larger than that participating
> in the IETF and that the former group is significantly more diverse
> in nature.

Is this based on actual surveys about participants? Such a survey
could be interesting. Of course, many things have to be taken into
account. For instance, many people in the IGF are just spectactors,
paid to attend.

But the biggest difference is that the IETF produces things, good or
bad (the RFC) while the IGF produces nothing. If it tried, it would
explode.

> I believe that it is foolish to ignore this and pretend that the
> IETF can operate in a libertarian bubble,

I don't think that all IETF participants qualify themselves as
"libertarian". I certainly don't.

---

From: "Patrik Fältström" <[email-masked]>
Date: Sun, 29 Dec 2019 12:18:19 +0100

On 29 Dec 2019, at 10:39, Stephane Bortzmeyer wrote:

> This statement is questionable. As noted by Randy Bush and Brian Carpenter, such a body would have an extraordinary power (in the past, even the worst dictator had a power limited to the borders of the country), and then we would have to think about how to limit and control that power.

And more importantly, IF there is a governance body, there must by definition be something that is to be governed.

I have hard time understanding what that could be.

Coordination is something completely different, and we should aim towards continuing the effective coordination we have done so far.

   Patrik

---

From: Niels ten Oever <[email-masked]>
Date: Sun, 29 Dec 2019 14:27:25 +0100

> The Internet Engineering Task Force is chartered to do engineering.

From RFC3935:

[quote1]
      The IETF community wants the Internet to succeed because we
      believe that the existence of the Internet, and its influence on
      economics, communication, and education, will help us to build a
      better human society.
[/quote1]

[quote2]
   The Internet isn't value-neutral, and neither is the IETF.  We want
   the Internet to be useful for communities that share our commitment
   to openness and fairness.  We embrace technical concepts such as
   decentralized control, edge-user empowerment and sharing of
   resources, because those concepts resonate with the core values of
   the IETF community.  These concepts have little to do with the
   technology that's possible, and much to do with the technology that
   we choose to create.
[/quote2]

> sometimes not even that).

The quotes above seem to imply something else, but that then in turn depends on your definitions of governance/influence/engineering/politics/etc. So YMMV. These quotes also go against Brian's mail that said:

On 12/27/19 8:28 PM, Brian E Carpenter wrote:
> reasoning *even if they seem relevant*.

The IETF is caught up in political issues, but hopes that it can stay out of the cross-hairs and continue business as usual. 

Technology has political, economic, and sociological implications. If the IETF does not take these into account, someone else is bound to do it for the IETF. Ethical considerations and commitments are an inherent part of pretty much all engineering organizations, I have (and probably will) always will be surprised the IETF really does not want to commit to any framework for ethical, value or norm considerations.

Best,

Niels

-- 
Niels ten Oever
Researcher and PhD Candidate
Datactive Research Group
University of Amsterdam

PGP fingerprint	   2458 0B70 5C4A FD8A 9488  
                   643A 0ED8 3F3A 468A C8B3

---

From: "Patrik Fältström" <[email-masked]>
Date: Sun, 29 Dec 2019 17:25:30 +0100

On 29 Dec 2019, at 14:27, Niels ten Oever wrote:

> Technology has political, economic, and sociological implications. If the IETF does not take these into account, someone else is bound to do it for the IETF.

Agree, but I think one of the main important things have to do with the fact that, for example, during my watch as Area Director for Applications Area, IETF worked hard on protocols for instant messaging. It was difficult to come to an agreement, so at the end IETF developed 4 alternative solutions (or was it 3?). Jabber (XMPP) was not one of them. Ultimately XMPP joined the IETF and IETF seems to agree it was a protocol to use.

In parallell vendors started to develop their own chat solutions and today we are where we are. Each vendor have their own service, and interoperability is about zero.

We had almost the similar situation for calendaring but at least we managed to get a standardized format for calendar events that can be sent around as a text file. The format is quite "old" looking at todays standards (and to be frank, quite stupid) but the important thing was interoperability.

Today we can send calendar events to each other even if we use different calendar programs, but we can not chat with each other.

So, if people do not like what IETF do, people just ignore IETF.

   Patrik

---

From: Toerless Eckert <[email-masked]>
Date: Sun, 29 Dec 2019 18:07:40 +0100

On Sat, Dec 28, 2019 at 02:46:18PM -0500, Marc Blanchet wrote:
> IMHO, we are diverging pretty off the initial proposed charter. Well I can
> understand your point of view, I think the policy side, as you describe,
> should be outside the scope of the charter.

+1 

> Can we come back to technical content?

Indeed. 

When reading all the threads about policy i was wondering what this could
mean technically to IETF/IAB work, and the best i could come up with
was the part of our standards that allow to express policies. BGP
filtering, ACLs, split horizon DNS, DiffServ, etc. pp.

I do wonder though what specifically the technologies for IAB/IETF
could be to express policies regarding resilience, and i think it
would be interesting to outline/document those. Especially when its
more than any of aforementioned policies to select a single path
or control what traffic policies should be applied to it.

Toerless

-- 
---
[email-masked]

---

From: John C Klensin <[email-masked]>
Date: Sun, 29 Dec 2019 12:11:17 -0500

--On Sunday, December 29, 2019 12:18 +0100 Patrik Fältström
<paf=[email-masked]> wrote:

>>> The lack of an effective, global policy making body for the
>>> internet is a problem that needs to be addressed as it is a
>>> significant gap.
>> 
>> This statement is questionable. As noted by Randy Bush and
>> Brian Carpenter, such a body would have an extraordinary
>> power (in the past, even the worst dictator had a power
>> limited to the borders of the country), and then we would
>> have to think about how to limit and control that power.
> 
> And more importantly, IF there is a governance body, there
> must by definition be something that is to be governed.
> 
> Coordination is something completely different, and we should
> aim towards continuing the effective coordination we have done
> so far.

Patrik (and others),

I've been trying to stay out of this, but I think you (plural)
are, at best, oversimplifying the situation.  There is a tested
model for doing exactly what several people have suggested would
be difficult or impossible.  That is to declare a particular
communications medium (or, for that matter, something else) to
be a national asset and/or problem and then treat the points at
which traffic crosses national boundaries as a border crossing
issue.  That is almost exactly what was done with the PSTN back
in the days before deregulation, when most or all carriers
within countries were either run by the government or very
tightly regulated and when international exchange points were a
matter for treaties, often bilaterial ones, and eventually
treaties within an international regulatory framework.  The
analogy is less clear and more obnoxious, but one could say
almost the same thing about international trade in pornography
and illicit drugs, especially because the definition of what
should be treated as illegal differs from one country to another.

The PSTN experience shows that what "can be governed" is
content, modes of information exchange, who can carry traffic
across national boundaries and under what conditions, and even
who has access to the relevant systems.  We've also seen
national bans on cryptography and regular demands for law
enforcement access to keys or back doors into algorithms.  That
we have successfully pushed back on some of those attempts in
the past is no guarantee about the future.

Pretending that the IETF is solely concerned about technical
matters doesn't really work either and we are not consistent
about it.   RFC 7258 is ultimately a political statement because
the attack it focuses on is an attack on privacy.   The
desirability of privacy is a shared value among most IETF
participants (even though we have some disagreements about what
is important to be protected and from whom) but its value is
definitely not recognized (and recognized in the same way)
internationally.  It could have been a more technical statement
if it had said "if one embraces the following values, then PM is
bad news and the following should be done (or not done)", but it
doesn't.  The contrast with RFC 8404 is interesting because the
latter is much closer to an "if you/we do X then the operational
consequences are Y" technical statement.

My own concern is the possibility of some well-publicized
incident or set of incidents triggering demands that
legislators, regulators, or other governmental bodies Do
Something and the very high odds that what they do will be
ill-advised, especially if the IETF and similar bodies are doing
work that is easily portrayed as not policy-neutral and that
have clearly failed to prevent whatever the triggering events
are.  I am not proposing this (partially because I think we are
likely to get it wrong) but, if we really wanted to be
policy-neutral, documents whose tone was closer to "we think
doing X would be really bad because Y but, if you choose to do
it, here is how to minimize collateral damage" (where X might be
"PM", "disconnecting from the Internet", "wholesale filtering
based on content", "banning encryption without back doors", or
other things), might be  
much more helpful than the path we seem to be on, that IAB
programme as it appears to be shaping up from this discussion
included.

Thanks for reading this far; back to lurking.

  john

---

From: "John Levine" <[email-masked]>
Date: 29 Dec 2019 12:34:20 -0500

In article <[email-masked]> you write:
>was the part of our standards that allow to express policies.

A lot of our designs have implicit policy models.  The most obvious is
the DNS.  Since it's one tree with a single root, it was inevitable
that we would end up with something like ICANN to manage that root.

The fixed size of the IPv4 address space and our failure to produce a
migration path to a successor made it equally inevitable that IP
addresses would be worth money and people will buy and sell and steal
them.  The RIRs' effectiveness in managing all this is, ah, mixed.

>or control what traffic policies should be applied to it.

Right.  I hope we can learn from our experience.

R's,
John

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 30 Dec 2019 08:38:09 +1300

On 30-Dec-19 02:27, Niels ten Oever wrote:
...
> The IETF is caught up in political issues, but hopes that it can stay out of the cross-hairs and continue business as usual.

Yes, because our scope covers technology deployed in almost every political, economic and social environment in the world, so the technology *needs* to be versatile, robust and resilient as a result. I wrote my words above carefully -- we do *best* by excluding those considerations, which does not mean that we always succeed in excluding them.
 
> Technology has political, economic, and sociological implications.

Of course, but they are often extremely hard to predict when designing the technology. No doubt the spear was invented only to kill animals for food.

> If the IETF does not take these into account, someone else is bound to do it for the IETF. Ethical considerations and commitments are an inherent part of pretty much all engineering organizations, I have (and probably will) always will be surprised the IETF really does not want to commit to any framework for ethical, value or norm considerations.

As has been pointed out, that isn't really true, because we do state some values in RFC3935, and assume some (especially the right to privacy) in RFC 1984, 2804 and 7258.

However, resiliency doesn't seem to me to require a discussion of values. It's a very clear technical requirement on its own. Surviving human error, equipment failure, natural disasters, political interference, and acts of war might each generate different resiliency considerations.

Regards,
    Brian

---

From: S Moonesamy <[email-masked]>
Date: Sun, 29 Dec 2019 13:55:57 -0800

Hi Vittorio, Marc,
At 02:53 AM 27-12-2019, Vittorio Bertola wrote:
>disappear. Simply, what is happening is that, in the absence of 
>global consensus decisions on policy issues, the discussion and the 
>action moves to the only level which is equipped with somewhat 
>effective policy making and enforcement tools: national Parliaments 
>and governments.
>
>effective global technical standardization mechanism, and on top of 
>it, taking decisions and embracing policies that would never reach 
>consensus in the broader circle of non-technical Internet stakeholders.

The attendance number for IGF was 5,000.  The number for the last 
IETF meeting was 1,012.  There were some discussions, from a policy 
perspective, about standardization.  It takes some effort to 
understand the relevance or the pick up the noteworthy details.

Some entities may be of the view that there is a need for a global 
policy-making body.  There are two ways to make that happen.  That's 
not the current trend though.

>Several people here seem to think that they can use their position 
>of technology makers to force unwelcome policies onto about 200 
>countries in the world, but I doubt that in the long term this 
>attempt will bode well for the Internet. I think we will just see more

The 200 figure seems a bit of the high side.

At 11:46 AM 28-12-2019, Marc Blanchet wrote:
>IMHO, we are diverging pretty off the initial proposed charter. Well 
>I can understand your point of view, I think the policy side, as you 

There is the following sentence in the proposed charter: "For 
example, if one implementation dominates in deployment to the extent 
that bugs or vulnerabilities in that implementation could create 
significant effects, or if only a small number of service providers 
are so widely used that they effectively become "too big to fail", 
even though failures are always possible".  Is the second part of the 
sentence (small number of service providers) a technical matter?

The proposal also states that "resilience is the result of protocol 
design, implementation, and deployment choices".  Are deployment 
choices a technical matter?

Regards,
S. Moonesamy

---

From: Toerless Eckert <[email-masked]>
Date: Mon, 30 Dec 2019 00:14:54 +0100

> Correct Scott, but I was more thinking of the fact ITU-T results might bind the members (the member States) by treaties, which implies the members do not have any choice but implement the outcomes.…

Any example where the ITU-T work result itself includes contractual
obligations that where actually worked out by ITU-T ? As opposed to 
those obligations being drafted separately after the fact, aka: where
ITU-T jut provides the technical basis ?

> IETF do not have such arrangements. We implement if we like what IETF produce.

There is probably a lot more commercial interests hanging on a (limited
subset of) IETF output than legal one, but i am sure its not too
difficult to find legal requirements referring to IEF work result.

Toerless

---

From: Toerless Eckert <[email-masked]>
Date: Mon, 30 Dec 2019 00:40:06 +0100

> However, resiliency doesn't seem to me to require a discussion of values. It's a very clear technical requirement on its own. Surviving human error, equipment failure, natural disasters, political…

Germany seems to think that its good for resilience and cost reduction
to be able to source oil from all places it can, including russia (nordstream 2).
The USA claims values against that and is hence fighting it.

To make a more technical _networking_ resilience argument: In design of
resilent network paths, one key ask is to have non-single point of failure
in forwarding/control-plane code-paths, aka: diverse router vendors paths.
But there are also government regulations based on "values" requiring
network paths not to pass through specific vendors equipment or certain countries.

Aka: You are grasphing for straws if you try to declare something to be
beyond being abused as an argument about values. And remember that
(plastic) straws too are outlawed in certain countries because of values.

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 30 Dec 2019 14:04:53 +1300

> (plastic) straws too are outlawed in certain countries because of values.

True. But that doesn't prevent us doing the analysis of resilience issues
without making political assumptions. If it comes out that the best form
of resilient routing would be some form of Byzantine routing with no fixed
paths between end points, that would be a valid technical conclusion.
(Whether that particular approach has been seriously analyzed since about
1962, I don't know.) If we could design a resilient unambiguous namespace
without a central authority, that would also be a valid technical conclusion
that might prove troubling to ICANN.

   Brian

---

From: Guntur Wiseno Putra <[email-masked]>
Date: Mon, 30 Dec 2019 13:36:52 +0700

Dear architecture-discuss
(Brian, Toerless, Stephenond Others),

Readings on this threads inspire me these points below (as I am making such
a struggle to learn on Internet :-))

* A framing (if we may also say similarly, using Derrida's term, a parergon
?):

Why should be...?

Reasonings, approaches, and perspectives: (arrangements of) realities

Values of & meanings of, the fittest: so that things should and may be
survived...

Thus, there should be:
interpretations and evaluations by such languages (from the conceptual to
the practical)...

* The framing to apply on Internet and its conditions:

Why should and may be survived? --Internet and its "conditions"
(resilliency, robustness)?

We need of such reasonings (contexts, approaches and perspectives of
interpretations and evaluations) to come to understandings on (realities
of) Internet and its conditions (among others is resilliency and
robustness).

Interpretations and evaluations socially and technically... Here we concern
with lingual translations between the social and the technical... used in
composing such architectural programmes on Internet...

For example: if we accepted meanings and values of Internet conceptually as
such that it has been part of half of the world populations' everyday life
-'words made in a report by an International governmental organization--
then technically we may say " Internet continues to grow and diversify,
with a realistic prospect of billions of nodes connected...". Then,
architectural programmes on Internet may about "local requirements,
behaviours, and semantics...". (B. Carpenter and B. Liu's "Limited Domain
and Internet Protocols")

Regards,
Guntur Wiseno Putra

Pada Senin, 30 Desember 2019, Brian E Carpenter <[email-masked]>
menulis:

> >> However, resiliency doesn't seem to me to require a discussion of
> values. It's a very clear technical requirement on its own. Surviving human
> error, equipment failure, natural disasters, political interference, and
> acts of war might each generate different resiliency considerations.
> >

---

From: Vittorio Bertola <[email-masked]>
Date: Mon, 30 Dec 2019 10:56:41 +0100 (CET)

> Il 29/12/2019 17:25 Patrik Fältström <paf=[email-masked]> ha scritto:
> 

However, what happened in other cases (at least, in the DoH case) is that the people that had to choose whether to embrace what the IETF had done were the same ones that had worked in the IETF to get the protocol released, so of course they chose to adopt it. 

The problem was rather that, while this decision had significant policy implications, that set of people was pretty small and partial in comparison to the set of people that would be affected by the policy implications. So, seen from outside the IETF, this was exactly a case of a few people exploiting their position - not a political power position, but a corporate/technical power position - to impose their desired policy and values onto everyone else, which ironically is what the IETF claims to reject in principle.

Of course the IETF can then claim that, when these people decided to implement the protocol in a way that could disrupt lots of stuff for lots of other people, they were not wearing their IETF hat, but their own employer's hat... but this is just going to upset the rest of the world even more, as it looks like a cheap excuse for not taking responsibility.

So, documents like RFC 7258 are a strong, unilateral policy decision, and claiming that "we just write them, then people are free to follow them or not" is not going to fly.

On the other hand, I share the concerns that were expressed by several people on the practicality of a single monolithic global policy-maker for the Internet, which IMHO will never be able to exist properly until a form of democratic planetary government will exist, which is possibly still several decades away, maybe centuries away in the future. But, as I said, the need for global Internet policies will not go away just because we do not know how to fulfill it - they will just be decided in other ways, a huge private oligopoly being the most likely and the scariest one.

Now, if we think that this discussion is off topic, we can get back to discussing an IAB charter on resilience... however I think this is a crucial issue that will determine if and how the Internet will still exist in the future.

(P.S. - for the person who marveled at the number of 200 countries in the world - the U.N. currently has 193 member states plus two observers)

--

---

From: Christian <[email-masked]>
Date: Mon, 30 Dec 2019 11:35:46 +0000

Hi Vittorio,

I don't understand your objections.

Are they?

- DoH is out of scope for IETF? ( I would say it is well within scope 
and mission to support end to end security)

- DoH is a bandaid patch that gives a false sense of security for users 
as it is not end to end or consistently available? (I have some sympathy )

- DoH when it is implemented and is working .. big if's . Breaks monkey 
in the middle practices to first resolvers. It has been clear for years 
these paths are going to have to be secured in time. Which is why so 
many have warned those doing these things against becoming overly 
dependent on the drug of digital predation.

- DoH adds to the already over dominance of browsers as data and privacy 
sinks? (sigh - this is really broken architecturally. Can users trust 
browser vendors to not spy on them with the current controls available ? )

-  IETF has been captured by people who are using DoH to capture this 
slice of the monkey business for themselves? (presumably you refer to 
browser vendors? if not who?)

C

---

From: Vittorio Bertola <[email-masked]>
Date: Mon, 30 Dec 2019 13:04:26 +0100 (CET)

> Il 30/12/2019 12:35 Christian <[email-masked]> ha scritto:
> 
>  
> Hi Vittorio,
> 

This is not yet another discussion on DoH - yes I have problems with how it is being deployed, though mostly different from the ones you list(*), but this is not the topic here. The discussion is rather about the IETF's pretense not to be making Internet policy (DoH is just an example where this pretense has been widely challenged) and about the idea of global Internet policy-making processes.

(*) if you're interested in this, here is a recent panel discussion with multiple views: https://www.youtube.com/watch?v=d1yMZEAvS3M

--

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 31 Dec 2019 08:21:38 +1300

On 31-Dec-19 01:04, Vittorio Bertola wrote:
> This is not yet another discussion on DoH - yes I have problems with how it is being deployed, though mostly different from the ones you list(*), but this is not the topic here. The discussion is rather about the IETF's pretense not to be making Internet policy (DoH is just an example where this pretense has been widely challenged) 

Sorry, I don't get it. I've taken my own decision about DoH policy, by using a browser that
has a mechanism for avoiding DoH, because I think it puts power over the integrity of the namespace into the wrong hands. Other people, in other geographies, might have an opposite policy. Many end users may not even know that they have a policy choice. This is utterly outside the control of the IETF.

Earlier, you wrote:

>> But, as I said, the need for global Internet policies will not go away just because we do not know how to fulfill it - they will just be decided in other ways, a huge private oligopoly being the most likely and the scariest one.

Welcome to capitalism. Except that a large part of the policy landscape is set geographically by varying political systems, so what we actually have is a very complex interplay between various transnational oligopolies and ~200 political systems. Again, utterly outside the control of the IETF.

In this environment, designing for resilience seems like a wise strategy.

   Brian

> and about the idea of global Internet policy-making processes.
> 
>

---

From: Guntur Wiseno Putra <[email-masked]>
Date: Tue, 31 Dec 2019 16:42:36 +0700

Dear architecture-discuss (Brian and Others),

The term "strategy" reminds me about readings may be related:

- If we go along with "cyberspace" at least there is D.D. Clark et all's
"Tussle in Cyberspace: Defining Tomorrow's Internet" (IEEE/ACM Transactions
on Networking, 2005)

It considered "Cyberspace", tussle and the evolution of the network's
technical architecture. It is referred in the present draft of "End Users"
by M. Nottingham.

http://groups.csail.mit.edu/ana/Publications/PubPDFs/Tussle%
20in%20Cyberspace%20Defining%20Tomorrows%20Internet%202005's%20Internet.pdf

- by the term "space" of "cyberspace" we may come to a reading Jean
Hillier's "Strategic Spatial Planning: a Multiplanar Methodology for
Strategic Spatial Planning" (EspacesTemps.net, 2015) discussing
"...strategic spatial planning in conditions of indeterminacy or
uncertainty..." For its reference to a particular way of thinking language,
a postructuralist way --and we remember that Internet may be understood as
networks of languages-- I suppose this reading is contemporaneous... It
developed a multiplanar methodology...

https://www.espacestemps.net/en/articles/strategic-navigation/

Regard,
Guntur Wiseno Putra

Pada Selasa, 31 Desember 2019, Brian E Carpenter <
[email-masked]> menulis:

> > This is not yet another discussion on DoH - yes I have problems with how
> it is being deployed, though mostly different from the ones you list(*),
> but this is not the topic here. The discussion is rather about the IETF's
> pretense not to be making Internet policy (DoH is just an example where
> this pretense has been widely challenged)
>
> has a mechanism for avoiding DoH, because I think it puts power over the
> integrity of the namespace into the wrong hands. Other people, in other
> geographies, might have an opposite policy. Many end users may not even
> know that they have a policy choice. This is utterly outside the control of
> the IETF.
>
> Earlier, you wrote:
>
> >> But, as I said, the need for global Internet policies will not go away
> just because we do not know how to fulfill it - they will just be decided
> in other ways, a huge private oligopoly being the most likely and the
> scariest one.
>
> Welcome to capitalism. Except that a large part of the policy landscape is
> set geographically by varying political systems, so what we actually have
> is a very complex interplay between various transnational oligopolies and
> ~200 political systems. Again, utterly outside the control of the IETF.
>
> > (*) if you're interested in this, here is a recent panel discussion with
> multiple views: https://www.youtube.com/watch?v=d1yMZEAvS3M
> >
>

---

From: Christian <[email-masked]>
Date: Tue, 31 Dec 2019 17:20:28 +0000

On 30/12/2019 12:04, Vittorio Bertola wrote:
> This is not yet another discussion on DoH - yes I have problems with how it is being deployed, though mostly different from the ones you list(*), but this is not the topic here.

OK

> The discussion is rather about the IETF's pretense not to be making Internet policy (DoH is just an example where this pretense has been widely challenged) and about the idea of global Internet policy-making processes.
>
So are you talking about Internet / technical policy or Political Policy?

I'd say IETF is heavily and overtly engaged in technical policy. The 
shift to encompass end to end security following the Snowdon revelations 
is a testament to that.

But that is not IETF engaging in political Policy. It is not saying to 
the world anything more than the utility of the Internet requires 
dependability of communications end to end.  It is clear that political 
Policy failed in providing sufficient protections for users on network 
paths which are not secure. So it makes total sense to secure them and 
do so at scale.

It makes no sense to have heavy duty data privacy and protection laws 
and for that data to be communicated routinely in the clear or for its 
path to be insecurely supported. Data paths have to be secured.

Let's for a moment assume that IETF is determining Policy in the round 
and its protocols are built to reflect that.

How is it then that these protocols are being used to both provide end 
to end connectivity through open infrastructures but also used to build 
national and regional firewalls such as in China, Russia etc. where that 
connectivity is broken and made insecure at gateway boundaries?

IETF technical policy may say something like. Doing this thing will 
break these things - be aware. It is for political Policy to then work 
out what those breakages mean for society and the law.

| (*) if you're interested in this, here is a recent panel discussion 
with multiple views: https://www.youtube.com/watch?v=d1yMZEAvS3

So this followed ISPAs pretty ridiculous Internet villain award for DoH 
/ Mozilla etc. Ridiculous enough for them to hastily backtrack. Just 
because UK ISPs  and politicians have ignored for decades people who 
have made architectural warnings that depending on insecure protocol 
paths to assert laws or manage behaviour over a network is not 
sustainable, as those paths will in time either be replaced with secure 
protocols or new technologies which in either case render the practice 
and potentially the enforcement of those laws to uselessness.

\C

---

From: Lucy Lynch <[email-masked]>
Date: Tue, 31 Dec 2019 19:27:17 +0000 (UTC)

> [1] https://github.com/intarchboard/resilience/

Circling back to the top here.

I think this is a fine topic for an IAB program and I took the
draft charter to encompass resilience as both a technical and a
design problem. I am particularly interested in this statement:

Definition of resilience:

1]  the capability of a strained body to recover its size and shape
     after deformation caused especially by compressive stress
2]  an ability to recover from or adjust easily to misfortune or change

This program is mostly interested in definition #2.

I actually have my own concerns related to #1 as well and would hope that 
this program might consider the warping of the overall Internet model to 
accommodate currents trends or business practices.

As an example - an Internet optimized for the web may not be the same
internet that supports real time data collection and shared computation in 
the context of big science. How do we avoid closing out capabilities as we 
optimize for others? Narrowing of choices looks like a path to a limited 
and more brittle model to me.

I'm sad to see the thread degenerate into mostly policy concerns when
there are still fundamental design issues that need to be addressed.
Policy is one way of dealing with the outcomes of design and implementation 
but it seems to be a follow on and this charter is proposing a more 
technical examination of the root problem.

I could be wrong...

- Lucy